Skip to main content

Account Metastore Assignment

View as Markdown

MetastoreAssignment object

workspace_idint64

The unique ID of the <Databricks> workspace.

metastore_idstring

The unique ID of the metastore.

default_catalog_namestringDeprecated

The name of the default catalog in the metastore. This field is deprecated. Please use "Default Namespace API" to configure the default catalog for a <Databricks> workspace.

Gets the metastore assignment for a workspace GA

GET /api/2.0/accounts/{account_id}/workspaces/{workspace_id}/metastore

Gets the metastore assignment, if any, for the workspace specified by ID. If the workspace is assigned a metastore, the mapping will be returned. If no metastore is assigned to the workspace, the assignment will not be found and a 404 returned.

API scopes: unity-catalog

Parameters

account_idstringuuidRequiredpath

<Databricks> account ID of any type. For non-E2 account types, get your account ID from the Accounts Console

workspace_idint64Requiredpath

Workspace ID.

Response

metastore_assignmentobject
Show child attributesHide child attributes
workspace_idint64Required

The unique ID of the <Databricks> workspace.

metastore_idstringRequired

The unique ID of the metastore.

default_catalog_namestringDeprecated

The name of the default catalog in the metastore. This field is deprecated. Please use "Default Namespace API" to configure the default catalog for a <Databricks> workspace.

Get all workspaces assigned to a metastore GA

GET /api/2.0/accounts/{account_id}/metastores/{metastore_id}/workspaces

Gets a list of all <Databricks> workspace IDs that have been assigned to given metastore.

API scopes: unity-catalog

Parameters

account_idstringuuidRequiredpath

<Databricks> account ID of any type. For non-E2 account types, get your account ID from the Accounts Console

metastore_idstringuuidRequiredpath

Unity Catalog metastore ID

Response

workspace_idsarray of int64

Assigns a workspace to a metastore GA

POST /api/2.0/accounts/{account_id}/workspaces/{workspace_id}/metastores/{metastore_id}

Creates an assignment to a metastore for a workspace

API scopes: unity-catalog

Parameters

account_idstringuuidRequiredpath

<Databricks> account ID of any type. For non-E2 account types, get your account ID from the Accounts Console

workspace_idint64Requiredpath

Workspace ID.

metastore_idstringuuidRequiredpath

Unity Catalog metastore ID

Request body

metastore_assignmentobject
Show child attributesHide child attributes
workspace_idint64Required

The unique ID of the <Databricks> workspace.

metastore_idstringRequired

The unique ID of the metastore.

default_catalog_namestringDeprecated

The name of the default catalog in the metastore. This field is deprecated. Please use "Default Namespace API" to configure the default catalog for a <Databricks> workspace.

Updates a metastore assignment to a workspace GA

PUT /api/2.0/accounts/{account_id}/workspaces/{workspace_id}/metastores/{metastore_id}

Updates an assignment to a metastore for a workspace. Currently, only the default catalog may be updated.

API scopes: unity-catalog

Parameters

account_idstringuuidRequiredpath

<Databricks> account ID of any type. For non-E2 account types, get your account ID from the Accounts Console

workspace_idint64Requiredpath

Workspace ID.

metastore_idstringuuidRequiredpath

Unity Catalog metastore ID

Request body

metastore_assignmentobject
Show child attributesHide child attributes
workspace_idint64Required

The unique ID of the <Databricks> workspace.

metastore_idstringRequired

The unique ID of the metastore.

default_catalog_namestringDeprecated

The name of the default catalog in the metastore. This field is deprecated. Please use "Default Namespace API" to configure the default catalog for a <Databricks> workspace.

Delete a metastore assignment GA

DELETE /api/2.0/accounts/{account_id}/workspaces/{workspace_id}/metastores/{metastore_id}

Deletes a metastore assignment to a workspace, leaving the workspace with no metastore.

API scopes: unity-catalog

Parameters

account_idstringuuidRequiredpath

<Databricks> account ID of any type. For non-E2 account types, get your account ID from the Accounts Console

workspace_idint64Requiredpath

Workspace ID.

metastore_idstringuuidRequiredpath

Unity Catalog metastore ID